<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- use the 'main' layout -->
	<!--<xsl:include href="layouts/main.xsl"/>-->

	<!-- set page title -->
	<!--<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>-->

	<!-- set page breadcrumbs -->
	<!--<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>-->

	<xsl:variable name="coll_name"><gslib:collectionName/></xsl:variable>
	<xsl:variable name="coll_name_short"><gslib:collectionNameShort/></xsl:variable>
	<xsl:template name="overview">

		<link rel="stylesheet" type="text/css" href="sites/{$site_name}/transform/pages/style.css"/>
		<link rel="stylesheet" type="text/css" href="sites/{$site_name}/js/jquery-ui-extra/turnstyle-block.css"/>

		<script type="text/javascript" src="https://www.google.com/jsapi"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="http://beta.data2000.no/sgvizler/release/0.6/sgvizler.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="sites/{$site_name}/js/von-sparql-script.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="sites/{$site_name}/js/von-sparql-setup.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="sites/{$site_name}/js/combobox.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="sites/{$site_name}/js/jquery-ui-extra/turnstyle-block.js"><xsl:text> </xsl:text></script>

		<xsl:variable name="protocol" select="substring-before(/page/pageRequest/@baseURL,':')"/>
		<xsl:variable name="baseURL" select="substring-after(/page/pageRequest/@baseURL,':')"/>
		<xsl:variable name="domain" select="substring-before($baseURL,':')"/>
		<xsl:variable name="endpointPath" select="concat($protocol,':',$domain,':3030/greenstone/query')"/>

		<div class="collectionName" >
			<span>Collection Exploration (<xsl:value-of select="$coll_name_short"/>)</span>
		</div>

		<div id="div_PredicateOverview" >
			<div id="sgvzl_PredicateOverview"
				  data-sgvizler-endpoint="{$endpointPath}"
				  data-sgvizler-chart="google.visualization.Table"
				  data-sgvizler-loglevel="2"
				  data-sgvizler-chart-options="title=Predicate Overview|width=300"
				  >
			  <xsl:attribute name="data-sgvizler-query">

			PREFIX gsdl: &lt;http://localhost:3030/greenstone/data/&gt;
			  SELECT (?p as ?Predicate) (COUNT (?s) as ?Total)WHERE
			  {
				GRAPH gsdl:<xsl:value-of select="$coll_name_short"/>{
					?s ?p ?o
				}
			  }
			  GROUP BY ?p
			  ORDER BY DESC(?Total)
			  </xsl:attribute>
			  <xsl:comment>Filler</xsl:comment>
			</div>
		</div>

		<div id="searchContainer">
			<div id="div_Selects">
				<label for="sel_Predicate">Select Predicate:</label>
				<select id="sel_Predicate">
					<option value="None"></option>
				</select>
				<br/>
					<input type="checkbox" id="cb_RefineSearch"/> <label for="cb_RefineSearch">Refine search to:</label>
					<br/>
				<div id="refineControls">
					<table class="refineControls" id="table_refineControls">
						<tr>
						<td><label for="sel_RefineObject">Value:</label></td>
						<td><select id="sel_RefineObject" enabled='false'>
							<option value="None">Select predicate above</option>
						</select>
						</td>
						</tr>
						<tr>
						<td>
						<label for="sel_RefinePredicate">Visualize Predicate:</label>
						</td>
						<td>
						<select id="sel_RefinePredicate" enabled='false'>
						</select>
						</td>
						</tr>
					</table>
				</div>
			</div>
			<div id="searchControls">
				<select id="sel_Limit">
					<option value="None">No Limit</option>
					<option value="10">10</option>
					<option value="25">25</option>
					<option value="50">50</option>
					<option value="75">75</option>
					<option value="100">100</option>
				</select>
				<select id="sel_ChartType">
					<option value="google.visualization.Table">Table</option>
					<option value="google.visualization.PieChart">Pie Chart</option>
					<option value="google.visualization.BarChart">Bar Chart</option>
					<option value="google.visualization.ImageSparkLine">Sparkline</option>
					<option value="google.visualization.LineChart">Line Chart</option>
				</select>
				<button type="button" id="btn_ShowChart">Execute Query</button>
			</div>
		</div>	

			<div id="sparqlQuery-turnstyle">
				<div>
					Show Sparql query
				</div>
				<div id="queryContainer" class="documenttext" style="display:none;">
					<span id="span_sparqlQuery"><xsl:comment>filler</xsl:comment></span>
				</div>
			</div>

			<div id="sgvzl_container" style="width:675px; height:400px; margin-top:10px; ">
			</div>
		<script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				<![CDATA[
					var overviewSparqlQuery;

					function createOverviewQuery(){
						overviewSparqlQuery = $('#sgvzl_PredicateOverview').attr("data-sgvizler-query");
					}

					transformToTurnstyleBlock("sparqlQuery");

					function sgvizGo(){
						sgvizler
							.defaultEndpointOutputFormat('jsonp')
							// Add prefixes used in examples:
							.prefix('dc',  "http://purl.org/dc/elements/1.1/")
							.prefix('xsd',  "http://www.w3.org/2001/XMLSchema#")

							// Draw all sgvizler containers on page:
							.containerDrawAll();

							createOverviewQuery();

						 //Load possible predicate values into selector
						 updatePredicateSelector();

						 //Ensure search refinement elements are greyed
						 toggle_RefineSearch(0);
						 $('#cb_RefineSearch').prop('checked',false);
					}

					google.load('visualization','1', {packages: ['corechart']});
					google.setOnLoadCallback(sgvizGo);
					window.onload=setupPage;
				]]>
			  </xsl:text>
		</script>

	</xsl:template>
	<!-- the page content -->
	<xsl:template match="/page">
  
		<!--Display the description text of the current collection,
		and if some services are available then create a list
		of links for each service within a <ul id="servicelist"> element.-->
		<gslib:collectionDescriptionTextAndServicesLinks/>
		
		<xsl:call-template name="overview"/>
		
	</xsl:template>

</xsl:stylesheet>  

